#ifndef MSP_GRAPHICS_DISPLAY_PLATFORM_H_
#define MSP_GRAPHICS_DISPLAY_PLATFORM_H_

#include <X11/Xlib.h>
#ifdef WITH_XRANDR
#include <X11/extensions/Xrandr.h>
#endif

namespace Msp {
namespace Graphics {

typedef ::Display *DisplayHandle;
#ifdef WITH_XRANDR
typedef RROutput MonitorHandle;
typedef RRMode ModeHandle;
#else
typedef int MonitorHandle;
typedef int ModeHandle;
#endif

} // namespace Graphics
} // namespace Msp

#endif
